Mailinglist Archive: opensuse-features (632 mails)

< Previous Next >
[openFATE 310080] KDE 4.6 for opensuse 11.4
  • From: fate_noreply@xxxxxxx
  • Date: Tue, 30 Nov 2010 22:24:56 +0100 (CET)
  • Message-id: <feature-310080-32@xxxxxxxxxxxxxx>
Feature changed by: Alex Bars (alexdbars)
Feature #310080, revision 32
Title: KDE 4.6 for opensuse 11.4

openSUSE-11.4: Done
Priority
Requester: Important

Requested by: jimbo bigcreed (dimble_thricefoon)
Partner organization: openSUSE.org

Description:
I realise we are using a time based release, and no longer chase
feature releases, but 11.3 will ship with KDE 4.4 when 4.5 will ship
three weeks later.
I realise you don't just drop in an entirely new DE version a week
before opensuse hits RC, but it would be a crying shame for two
releases in a row, eight months apart, both to use an 'old' major
release of KDE.
For this reason I would be very keen to look at the KDE 4.6 release
schedule (should be end of january), and see if we cannot plan to
include it in opensuse 11.4 (which in theory is due end of february at
the earliest).
Were it possible to get 4.6.1 for point release stability that would be
even better.
Kind regards


Discussion:
#1: Stephen Shaw (decriptor) (2010-07-06 19:33:41)
There will without a doubt be repos for 4.5 and 4.6 when its ready for
11.3.  Just not in the update channel

#3: jimbo bigcreed (dimble_thricefoon) (2010-07-08 18:48:20) (reply to
#1)
this is a request for 11.4, not 11.3. :)

#2: Jimmy Berry (boombatower) (2010-07-07 00:16:30)
Which is all well and good, but that only works for savvy users...seems
like it would be better as a whole to ship with it, but if suse is
stuck in time cycles I guess that the repositories is all we can hope
for.
Another thought then...where it gives the instructions for upgrading in
the wiki and the one-click install...perhaps add all three Factory KDE
repositories...I believe they are the community, factory desktop, and
playground (or at least the first two) and explain that using zypper
dup (or related feature through gui) would be a good idea.
I have found that upgrading purely by the one-click produces odd bugs
and they change over time as other packages are updated, but if I use
dup to switch over ALL kde packages not just the ones listed in ymp
thing are much more stable.
So if suse is going to stick to ignoring the KDE release schedule
(which is fine) then perhaps we can make the manual upgrade better...
maybe even suggest it through the upgrade channel or something.

#4: jimbo bigcreed (dimble_thricefoon) (2010-07-08 18:50:22) (reply to
#2)
suse is stuck in time cycles, but it has proven to be flexible on a scale of
weeks, and given that there there is already a month of 'play' I would
like it to be considered a core target for 11.4.

#5: Dawid Wróbel (cromka) (2010-07-12 22:26:21)
It has been already confirmed that 11.3 will ship with 4.6. Have a look
here:

http://mschlander.wordpress.com/2010/07/09/attention-opensuse-kde-factory-users/

(http://mschlander.wordpress.com/2010/07/09/attention-opensuse-kde-factory-users/)


#6: jimbo bigcreed (dimble_thricefoon) (2010-07-13 18:47:00) (reply to
#5)
awesome news, cheers.

#7: seleko seleko (seleko) (2010-07-14 12:33:49) (reply to #5)
I dont think so.
11.3 will ship with 4.4.
As it will ship, 4.4 comes to stable, 4.5 -> Factory.
Its usual shift.

#8: jimbo bigcreed (dimble_thricefoon) (2010-07-17 14:33:17) (reply to
#7)
i believe he meant 11.4, given that this topic is about 11.4, and his
link refers to 11.3+1.

#9: jimbo bigcreed (dimble_thricefoon) (2010-08-31 14:48:45)
any news on this? confirmed, rejected, deferred, etc............?
it has been there for two months now give or take, and in the top 20
11.4 requests for nearly as long, surely it merits either an
"evaluation" or a "rejected" by this point?
openfate seems much less responsive these days.

#13: jimbo bigcreed (dimble_thricefoon) (2010-09-19 12:03:24) (reply to
#9)
"hellooooooooooooooo.......................................?"

#10: Otso Rajala (daedaluz) (2010-09-02 09:09:40)
Too bleeding edge. I really like how openSUSE has been using "outdated"
KDE with 4.x.y, where y > 3, meaning stability has been great.

#11: jimbo bigcreed (dimble_thricefoon) (2010-09-02 12:53:59) (reply to
#10)
are you suggesting it would be inappropriate for opensuse 11.4 to use KDE
4.6?

#12: Tom Zöhner (zoehneto) (2010-09-10 21:41:03) (reply to #10)
You're wrong, openSUSE 11.2 shiped with KDE 4.3.1 (instead of KDE 4.3.2
which was released a couple of weeks before the openSUSE release).

#14: Сергей Миронов (serg0) (2010-09-19 18:47:08)
I think it does not matter which version of KDE will be installed on
openSUSE 11.4. Most important is stability reason. I vote against this
feature.

#15: Denny Beyer (lumnis) (2010-09-29 10:23:22)
talking about stability:
Every new version adds stability kde4 desparately needs for several
versions now, and opensuse as one of the (if not THE) major kde
distribution has damaged it's reputation because of that.
Another one regarding stability:
Did anybody not voting for this issue use Kontact recently?
Mail/Address/Calendar is a core functionality that needs to be working
and the only way i see to get this is by moving on to 4.6, hoping that
the kdepim team will stick to their dev plans and get that properly up
and running by the 4.6 release.

#16: jimbo bigcreed (dimble_thricefoon) (2010-09-29 12:17:19) (reply to
#15)
agreed.

+ #18: Alex Bars (alexdbars) (2010-11-30 22:24:15) (reply to #15)
+ Running natively 11.4, nepomuk always throw an error, but I hope the
+ new version come with 4.6!

#17: jimbo bigcreed (dimble_thricefoon) (2010-10-21 10:58:50)
http://www.mail-archive.com/release-team@xxxxxxx/msg03829.html
* Thu, Jan 20 2011, openSUSE 11.4 Milestone 6 release
* Thu, Feb 10 2011, openSUSE 11.4 RC 1 release




--
openSUSE Feature:
https://features.opensuse.org/310080

< Previous Next >
This Thread
References